Subject: Internet Trek
From: [email-masked] (Jeff Okamoto)
Date: Fri, 7 Feb 97 15:20:03 EST
Newsgroups: rec.humor.funny.reruns

I found this posting on rec.arts.startrek.  Anyone who has seen Star
Trek II:  the Wrath of Khan, and knows unix should enjoy this.  Mailed
by [email-masked] (Kaveh R.  Ghazi [King Louis XIV])

            ------------------------------------------------

I was watching Star Trek II again last night when suddenly I had this
vision of what would happen if instead of a duel between starships, it
was computer systems.  What resulted is this:

            ------------------------------------------------

*Kirk:*	What is the meaning of this attack?
*Khan:*	Surely I have made my meaning clear.  I mean to avenge myself
	upon you, Admiral.  I deprived your system of UUCP connections
	and when I swing around I mean to deprive you of your life.
	But I wanted you to know who it was who had beaten you.
*Kirk:*	Khan, if it's me you want, I'll have myself rcp'ed over.  Spare
	my crew.
*Khan:*	I make you a counter-proposal.  I'll agree to your terms, if ...
	if in addition to yourself you hand over to me all data and
	materials regarding the project called UUNET.
*Kirk:*	UUNET?  What's that?
*Khan:*	Don't insult my intelligence, Kirk.
*Kirk:*	Give me some time to recall the data from our archives.
*Khan:*	I give you sixty seconds.
*Kirk:*	Clear the bridge.
*Spock:*	At least we know he doesn't have UUNET.
*Kirk:*	Keep nodding as though I'm still giving orders.  Mr. Saavik,
	punch up the data charts of Reliant's password file.
*Saavik:*	Reliant's pass...
*Kirk:*	Hurry.
*Khan:*	Forty-five seconds Admiral.
*Spock:*	The free login?
*Kirk:*	It's all we've got.
*Saavik:*	File's up, sir.
*Khan:*	Admiral.
*Kirk:*	We're finding it.
*Khan:*	Admiral.
*Kirk:*	Please.  Please you've got to give us time.  The machine room is
	smashed, the editors inoperable.
*Khan:*	Time is a luxury you don't have, Admiral.
*Kirk:*	Damn.
*Khan:*	Admiral?
*Kirk:*	It's coming through now, Khan.
*Spock:*	Reliant's free login is 16309.
*Saavik:*	I don't understand.
*Kirk:*	You have to learn why things work on a UNIX system.
*Spock:*	Each system has its own hidden free login.
*Kirk:*	To prevent an enemy from doing what we're attempting.  We're
	using our console to order Reliant to let us login.
*Spock:*	Assuming he hasn't changed the combination.  He's quite
	intelligent.
*Khan:*	Fifteen seconds, Admiral.
*Kirk:*	Khan, how do we know you'll keep your word?
*Khan:*	Oh, I've given you no word to keep, Admiral.  In my judgement,
	you simply have no alternative.
*Kirk:*	I see your point.  Stand by to receive our mail message.  Mr.
	Sulu, lock an Internet connection on target and await my order
	to login.
*Sulu:*	Connection pending.
*Khan:*	Time's up, Admiral.
*Kirk:*	Here it comes.  Now, Mr. Spock.
*Spock:*	% telnet reliant
Trying...
Connected to reliant.
Escape character is '~'.

M-6 Duotronic
U.S.S. Reliant, NCC-1864

login:
*Spock:*	login: 16309
%
*Joachim:* Sir, the Enterprise is logging on.
*Khan:*	Kill them.
*Joachim:* I can't!
*Khan:*	Where's the chroot call?  The chroot call!
*Kirk:*	Fire.
*Sulu:*	% su
#
*Kirk:*	Fire!
*Sulu:*	# rm -rf /
*Khan:*	Reboot, reboot!
*Joachim:* We can't reboot!
*Khan:*	Why can't you!?
*Joachim:* They've corrupted the file system and the /etc directory!  Sir,
	we must power-cycle.
*Khan:*	No!
*Joachim:* Sir, we must!

--
And the rest is (ahem) history.

Jeff Okamoto

--
From the RHF archives as selected by Brad Templeton, Maddi Hausmann and
Jim Griffith.  This newsgroup posts former jokes from the newsgroup
rec.humor.funny.

Web users, you can read a random joke from the archives just by bookmarking 
	http://comedy.clari.net/cgi-bin/randomurl/rhf/jokes/masterlist